aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2012-06-06 02:04:57 +0200
committerAlexander Sulfrian <alexander@sulfrian.net>2012-06-06 02:04:57 +0200
commit2563686e0444b1800e04468e49d45b4c18a6c17b (patch)
tree1fc0c587309fcbefa894400b6f7a73f03286f8ee
parent7fca6728e258058e176df854127f10acc0a6e03f (diff)
downloadoverlay-2563686e0444b1800e04468e49d45b4c18a6c17b.tar.gz
overlay-2563686e0444b1800e04468e49d45b4c18a6c17b.tar.xz
overlay-2563686e0444b1800e04468e49d45b4c18a6c17b.zip
dev-utils/mfoc: add live ebuild (requires new libnfc)
-rw-r--r--dev-util/mfoc/Manifest1
-rw-r--r--dev-util/mfoc/mfoc-9999.ebuild28
2 files changed, 29 insertions, 0 deletions
diff --git a/dev-util/mfoc/Manifest b/dev-util/mfoc/Manifest
index b583c54..42e565f 100644
--- a/dev-util/mfoc/Manifest
+++ b/dev-util/mfoc/Manifest
@@ -1,2 +1,3 @@
DIST mfoc-0.10.2.tar.gz 112864 RMD160 a74ccdc22f4ead364872bac0beee0564c53f2be2 SHA1 cce1662300eeab303d375f746dd52e515e2f0e99 SHA256 fc38b990bf37b6416949d0a7c6481bdd8a67698cbb4dcae00c0576fd10845cb0
EBUILD mfoc-0.10.2.ebuild 591 RMD160 ba78dc93a7641e2c8b9e8d0f78b7fa32a17d5389 SHA1 a9440ea46f317ccf620eba2f601598eb5429a6ad SHA256 0e4fe4fcf98476584e4769565592e934242d68a126158552ee915744fc998681
+EBUILD mfoc-9999.ebuild 698 RMD160 7975a141849cbc2eabc3007fdd6e8c81348a3d0a SHA1 ef7a852e81a2f495f9e210f3e2d0c643d6153664 SHA256 ae666c3233a0cd4e9053aa1caa34cefd15a35974544c7d832cccac51a327a211
diff --git a/dev-util/mfoc/mfoc-9999.ebuild b/dev-util/mfoc/mfoc-9999.ebuild
new file mode 100644
index 0000000..79c1a65
--- /dev/null
+++ b/dev-util/mfoc/mfoc-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils subversion autotools
+
+DESCRIPTION="Mifare Classic Offline Cracker is a tool that can recover keys from Mifare Classic cards"
+HOMEPAGE="http://code.google.com/p/nfc-tools/"
+ESVN_REPO_URI="http://nfc-tools.googlecode.com/svn/trunk/mfoc/"
+ESVN_PROJECT="mfoc"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+
+CDEPEND=">=dev-libs/libnfc-1.5.1"
+RDEPEND="${CDEPEND}"
+
+src_prepare() {
+ eautoreconf || die "autoreconf failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed"
+ dodoc README ChangeLog AUTHORS NEWS TODO || die
+}